# Method: accounts.developerRegistration.getAccountForGcpRegistration

- [HTTP request](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.developerRegistration/getAccountForGcpRegistration#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.developerRegistration/getAccountForGcpRegistration#body.request_body)
- [Response body](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.developerRegistration/getAccountForGcpRegistration#body.response_body)
  - [JSON representation](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.developerRegistration/getAccountForGcpRegistration#body.GetAccountForGcpRegistrationResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.developerRegistration/getAccountForGcpRegistration#body.aspect)
- [Try it!](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.developerRegistration/getAccountForGcpRegistration#try-it)

Retrieves the merchant account that the calling GCP is registered with.

### HTTP request

`GET https://merchantapi.googleapis.com/accounts/v1/accounts:getAccountForGcpRegistration`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Request body

The request body must be empty.

### Response body

Response message for the developerRegistration.getAccountForGcpRegistration method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "name": string } ``` |

| Fields ||
|---|---|
| `name` | `string` The name of the merchant account id that the GCP is registered with. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).